Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableGroup::PropertyManager Interface Reference

`import "PortableGroup.idl";`

List of all members.

## Public Member Functions
void | set_default_properties (in Properties props) raises (InvalidProperty, UnsupportedProperty)
Properties | get_default_properties ()
void | remove_default_properties (in Properties props) raises (InvalidProperty, UnsupportedProperty)
void | set_type_properties (in _TypeId type_id, in Properties overrides) raises (InvalidProperty, UnsupportedProperty)
Properties | get_type_properties (in _TypeId type_id)
void | remove_type_properties (in _TypeId type_id, in Properties props) raises (InvalidProperty, UnsupportedProperty)
void | set_properties_dynamically (in ObjectGroup object_group, in Properties overrides) raises (ObjectGroupNotFound, InvalidProperty, UnsupportedProperty)
Properties | get_properties (in ObjectGroup object_group) raises (ObjectGroupNotFound)

## Member Function Documentation

Properties PortableGroup::PropertyManager::get_default_properties | ( |  | ) |

Properties PortableGroup::PropertyManager::get_properties | ( | in ObjectGroup | object_group | ) | raises (ObjectGroupNotFound)

Properties PortableGroup::PropertyManager::get_type_properties | ( | in _TypeId | type_id | ) |

void PortableGroup::PropertyManager::remove_default_properties | ( | in Properties | props | ) | raises (InvalidProperty, UnsupportedProperty)

void PortableGroup::PropertyManager::remove_type_properties | ( | in _TypeId | type_id,
|  | in Properties | props
| ) | raises (InvalidProperty, UnsupportedProperty)

void PortableGroup::PropertyManager::set_default_properties | ( | in Properties | props | ) | raises (InvalidProperty, UnsupportedProperty)

void PortableGroup::PropertyManager::set_properties_dynamically | ( | in ObjectGroup | object_group,
|  | in Properties | overrides
| ) | raises (ObjectGroupNotFound, InvalidProperty, UnsupportedProperty)

void PortableGroup::PropertyManager::set_type_properties | ( | in _TypeId | type_id,
|  | in Properties | overrides
| ) | raises (InvalidProperty, UnsupportedProperty)

The documentation for this interface was generated from the following file:

- PortableGroup.idl